package com.gyee.alarm.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备功能统计
 * </p>
 *
 * @author shilin
 * @since 2023-08-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ProBasicFeatureStat extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private String id;

    /**
     * 设备编号
     */
    private String wtId;

    /**
     * 场站编号
     */
    private String stationId;

    /**
     * 统计时间
     */
    private String statDate;

    /**
     * 总次数
     */
    private Long total;

    /**
     * 总时间
     */
    private BigDecimal totalSeconds;

    /**
     * 平均时长
     */
    private BigDecimal avgSeconds;

    /**
     * 最大时长
     */
    private BigDecimal maxSeconds;

    /**
     * 最小时长
     */
    private BigDecimal minSeconds;

    /**
     * 类型编码
     */
    private String typeCode;

    /**
     * 类型名称
     */
    private String typeName;


}
